<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Color Templates</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="color-templates">Color Templates</h1>
<p><strong>Color Templates</strong> define a list of Colors to be used for <strong>Aggregate Graphs</strong> in Cacti. As you add <strong>Graphs</strong> to an <strong>Aggregate Graph</strong>, you need to distinguish one <strong>Graph</strong> from the next within the <strong>Aggregate Graph</strong>. These <strong>Color Templates</strong> are a list of colors that will be looped through in Round Robin fashion to render the <strong>Aggregate Graph</strong>.</p>
<p>So, for example, if your <strong>Color Template</strong> uses 8 differing <strong>Colors</strong>, and your <strong>Aggregate Graph</strong> includes 16 <em>Graph Items</em>, then each color will be used twice in the <strong>Aggregate Graph</strong>.</p>
<p>Below, you can see the four standard <strong>Color Templates</strong>, you can see that you have the ability to either <em>Delete</em> or <em>Duplicate</em> the <strong>Color Templates</strong>. As with other Cacti objects, you will not be allowed to <em>Delete</em> a <strong>Color Template</strong> in use.</p>
<p><img src="images/color-templates.png" alt="Color Templates" /></p>
<p>In the image below, you can see the <strong>Color Template</strong> edit screen. This simply screen allows you to add, remove and re-order colors in the list.</p>
<p><img src="images/color-templates-edit1.png" alt="Color Templates Edit" /></p>
<p>Shown in the image below, only Cacti <strong>Colors</strong> are allowed to be selected for Aggregate <strong>Color Templates</strong>. The <strong>Color</strong> drop down can by typed into if you wish to search through the list of approximately 340 legacy and <em>Named Colors</em>.</p>
<p><img src="images/color-templates-edit2.png" alt="Color Templates Item Edit" /></p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
